Debian Bug report logs - #684265
debian-installer: os-prober needs fuse module to detect other OS's

version graph

Package: src:linux; Maintainer for src:linux is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Rick Thomas <rbthomas@grey.rcthomas.org>

Date: Wed, 8 Aug 2012 08:09:01 UTC

Severity: important

Tags: patch

Merged with 686631, 687286

Found in version linux/3.2.23-1

Fixed in version 3.2.29-1

Done: Jonathan Nieder <jrnieder@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#684265; Package installation-reports. (Wed, 08 Aug 2012 08:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rick Thomas <rbthomas@grey.rcthomas.org>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Wed, 08 Aug 2012 08:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rick Thomas <rbthomas@grey.rcthomas.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: installation-reports: yaboot.conf missing existing root partitions -- sources.list still has deb cdrom from installation
Date: Wed, 08 Aug 2012 00:57:36 -0700
[Message part 1 (text/plain, inline)]
Package: installation-reports
Severity: important

Dear Maintainer,

-- Package-specific info:

Boot method:
> CD

Image version:
> /cdimage/wheezy_di_beta1/powerpc/iso-cd debian-wheezy-DI-b1-powerpc-xfce+lxde-CD-1.iso 15-Jul-2012 03:00  648M

Date:
> Aug  5 17:10 PDT

Machine:
> PowerMac3,5 MacRISC2 MacRISC Power Macintosh

Partitions:
> root@grey:~# mac-fdisk -l /dev/sda
> /dev/sda
>         #                    type name                 length   base     ( size )  system
> /dev/sda1     Apple_partition_map Apple                    63 @ 1        ( 31.5k)  Partition map
> /dev/sda2         Apple_Bootstrap boot                   1954 @ 64       (977.0k)  NewWorld bootblock
> /dev/sda3         Apple_UNIX_SVR2 swap               19531251 @ 2018     (  9.3G)  Linux swap
> /dev/sda4         Apple_UNIX_SVR2 root4              19531251 @ 19533269 (  9.3G)  Linux native
> /dev/sda5         Apple_UNIX_SVR2 root5              19531251 @ 39064520 (  9.3G)  Linux native
> /dev/sda6         Apple_UNIX_SVR2 root6              21822469 @ 58595771 ( 10.4G)  Linux native
> 
> Block size=512, Number of Blocks=80418240
> DeviceType=0x0, DeviceId=0x0

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [O]
Detect network card:    [O]
Configure network:      [O]
Detect CD:              [O]
Load installer modules: [O]
Clock/timezone setup:   [O]
User/password setup:    [O]
Detect hard drives:     [O]
Partition hard drives:  [O] [1]
Install base system:    [O]
Install tasks:          [O]
Install boot loader:    [E] [2]
Overall install:        [O] [3]

Comments/Problems:

<Description of the install, in prose, and any thoughts, comments
      and ideas you had during the initial install.>

[1] partitioned "manually" so as to preserve the other two Debian Linux installations on the same disk.

[2] The yaboot.conf file that this stage produced was missing entries for the two other root partitions.
    After the reboot, I installed os-prober and ran it.  It found the other wo partitions:
> root@grey:~# os-prober
> /dev/sda4:Debian GNU/Linux (wheezy/sid):Debian:linux
> /dev/sda5:Debian GNU/Linux (wheezy/sid):Debian1:linux
> 
> /dev/sda[45] are the two Linux root partitions I was expecting to see in /etc/yaboot.conf but were missing.
> 
> /dev/sda6 is the root partition I just installed to.
> 
> root@grey:~# df -h /
> Filesystem                                              Size  Used Avail Use% Mounted on
> /dev/disk/by-uuid/627898d2-891b-411d-a8ba-0f0f32547d46   11G  2.8G  7.1G  29% /
> root@grey:~# ls -ld /dev/disk/by-uuid/627898d2-891b-411d-a8ba-0f0f32547d46
> lrwxrwxrwx 1 root root 10 Aug  7 16:11 /dev/disk/by-uuid/627898d2-891b-411d-a8ba-0f0f32547d46 -> ../../sda6

[3] When installing os-prober, I discovered that the installation had forgotten to comment out the "deb cdrom"
    line for the installation CD in /etc/sources.list.

-- 

Please make sure that the hardware-summary log file, and any other
installation logs that you think would be useful are attached to this
report. Please compress large files using gzip.

Once you have filled out this report, mail it to submit@bugs.debian.org.

==============================================
Installer lsb-release:
==============================================
DISTRIB_ID=Debian
DISTRIB_DESCRIPTION="Debian GNU/Linux installer"
DISTRIB_RELEASE="7.0 (wheezy) - installer build 20120712"
X_INSTALLATION_MEDIUM=cdrom

==============================================
Installer hardware-summary:
==============================================
uname -a: Linux grey 3.2.0-3-powerpc #1 Thu Jun 28 10:24:24 UTC 2012 ppc GNU/Linux
lspci -knn: 0000:00:0b.0 Host bridge [0600]: Apple Inc. UniNorth 1.5 AGP [106b:002d]
lspci -knn: 	Kernel driver in use: agpgart-uninorth
lspci -knn: 0000:00:10.0 VGA compatible controller [0300]: Advanced Micro Devices [AMD] nee ATI RV200 QW [Radeon 7500] [1002:5157]
lspci -knn: 	Subsystem: Advanced Micro Devices [AMD] nee ATI RV200 QW [Radeon 7500] [1002:5157]
lspci -knn: 	Kernel driver in use: radeonfb
lspci -knn: 0001:10:0b.0 Host bridge [0600]: Apple Inc. UniNorth 1.5 PCI [106b:002e]
lspci -knn: 0001:10:13.0 IDE interface [0101]: Silicon Image, Inc. PCI0680 Ultra ATA-133 Host Controller [1095:0680] (rev 02)
lspci -knn: 	Subsystem: Silicon Image, Inc. PCI0680 Ultra ATA-133 Host Controller [1095:0680]
lspci -knn: 	Kernel driver in use: pata_sil680
lspci -knn: 0001:10:15.0 Ethernet controller [0200]: 3Com Corporation 3c905B 100BaseTX [Cyclone] [10b7:9055] (rev 30)
lspci -knn: 	Subsystem: 3Com Corporation 3c905B 100BaseTX [Cyclone] [10b7:9055]
lspci -knn: 	Kernel driver in use: 3c59x
lspci -knn: 0001:10:17.0 Unassigned class [ff00]: Apple Inc. KeyLargo Mac I/O [106b:0022] (rev 03)
lspci -knn: 	Kernel driver in use: macio
lspci -knn: 0001:10:18.0 USB controller [0c03]: Apple Inc. KeyLargo USB [106b:0019]
lspci -knn: 	Kernel driver in use: ohci_hcd
lspci -knn: 0001:10:19.0 USB controller [0c03]: Apple Inc. KeyLargo USB [106b:0019]
lspci -knn: 	Kernel driver in use: ohci_hcd
lspci -knn: 0002:20:0b.0 Host bridge [0600]: Apple Inc. UniNorth 1.5 Internal PCI [106b:002f]
lspci -knn: 0002:20:0e.0 FireWire (IEEE 1394) [0c00]: LSI Corporation FW322/323 [TrueFire] 1394a Controller [11c1:5811]
lspci -knn: 	Subsystem: LSI Corporation FW322/323 [TrueFire] 1394a Controller [11c1:5811]
lspci -knn: 	Kernel driver in use: firewire_ohci
lspci -knn: 0002:20:0f.0 Ethernet controller [0200]: Apple Inc. UniNorth GMAC (Sun GEM) [106b:0021] (rev 01)
lspci -knn: 	Kernel driver in use: gem
usb-list: 
usb-list: Bus 01 Device 01: OHCI Host Controller [1d6b:0001]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Linux 3.2.0-3-powerpc ohci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
usb-list: 
usb-list: Bus 01 Device 02: USB 2.0 FD [154b:0053]
usb-list:    Level 01 Parent 01 Port 00  Class 00(>ifc ) Subclass 00 Protocol 00
usb-list:    Manufacturer: PNY Technologies
usb-list:    Interface 00: Class 08(mstor) Subclass 06 Protocol 50 Driver usb-storage
usb-list: 
usb-list: Bus 02 Device 01: OHCI Host Controller [1d6b:0001]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Linux 3.2.0-3-powerpc ohci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
usb-list: 
usb-list: Bus 02 Device 02: USB2.0 Hub [05e3:0608]
usb-list:    Level 01 Parent 01 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
usb-list: 
usb-list: Bus 02 Device 03: Hub in Apple Extended USB Keyboard [05ac:1003]
usb-list:    Level 02 Parent 02 Port 01  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Mitsumi Electric
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
usb-list: 
usb-list: Bus 02 Device 04: USB Optical Mouse [0461:4d15]
usb-list:    Level 03 Parent 03 Port 00  Class 00(>ifc ) Subclass 00 Protocol 00
usb-list:    Interface 00: Class 03(HID  ) Subclass 01 Protocol 02 Driver usbhid
usb-list: 
usb-list: Bus 02 Device 05: Apple Extended USB Keyboard [05ac:020b]
usb-list:    Level 03 Parent 03 Port 02  Class 00(>ifc ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Mitsumi Electric
usb-list:    Interface 00: Class 03(HID  ) Subclass 01 Protocol 01 Driver usbhid
usb-list:    Interface 01: Class 03(HID  ) Subclass 00 Protocol 00 Driver usbhid
lsmod: Module                  Size  Used by
lsmod: ufs                    75579  0 
lsmod: hfsplus                81332  0 
lsmod: reiserfs              238673  0 
lsmod: nls_utf8                4524  0 
lsmod: dm_mod                 67443  0 
lsmod: raid1                  28842  1 
lsmod: md_mod                100650  1 raid1
lsmod: xfs                   619418  0 
lsmod: jfs                   161888  0 
lsmod: hfs                    46778  0 
lsmod: ext4                  374614  1 
lsmod: crc16                   4487  1 ext4
lsmod: jbd2                   59755  1 ext4
lsmod: ext3                  171908  0 
lsmod: jbd                    51611  1 ext3
lsmod: btrfs                 630931  0 
lsmod: zlib_deflate           21951  1 btrfs
lsmod: crc32c                  5848  1 
lsmod: libcrc32c               4250  1 btrfs
lsmod: vfat                   12499  0 
lsmod: fat                    48464  1 vfat
lsmod: ext2                   64566  0 
lsmod: mbcache                 7893  3 ext2,ext3,ext4
lsmod: sungem                 30191  0 
lsmod: sungem_phy             12769  1 sungem
lsmod: 3c59x                  34709  0 
lsmod: isofs                  32700  0 
lsmod: usbhid                 36475  0 
lsmod: hid                    72122  1 usbhid
lsmod: usb_storage            40099  0 
lsmod: sr_mod                 17180  0 
lsmod: ata_generic             6063  0 
lsmod: ohci_hcd               32921  0 
lsmod: ehci_hcd               44370  0 
lsmod: cdrom                  36877  1 sr_mod
lsmod: sd_mod                 33482  7 
lsmod: crc_t10dif              4488  1 sd_mod
lsmod: usbcore               130083  5 ehci_hcd,ohci_hcd,usb_storage,usbhid
lsmod: firewire_ohci          32826  0 
lsmod: firewire_core          48079  1 firewire_ohci
lsmod: crc_itu_t               4507  1 firewire_core
lsmod: usb_common              4034  1 usbcore
lsmod: pata_sil680             7738  2 
df: Filesystem           1K-blocks      Used Available Use% Mounted on
df: none                    103120       100    103020   0% /run
df: tmpfs                   515596         0    515596   0% /dev
df: /dev/sda6             10872312   2849740   7477012  28% /target
df: /dev/sda6             10872312   2849740   7477012  28% /dev/.static/dev
df: tmpfs                   515596         0    515596   0% /target/dev
free:              total         used         free       shared      buffers
free: Mem:       1031196       911916       119280            0       111928
free: -/+ buffers:             799988       231208
free: Swap:      9765620          928      9764692
/proc/cmdline: ro ramdisk_size=10240 desktop=xfce priority=low -- 
/proc/cpuinfo: processor	: 0
/proc/cpuinfo: cpu		: 7450, altivec supported
/proc/cpuinfo: clock		: 733.333331MHz
/proc/cpuinfo: revision	: 2.1 (pvr 8000 0201)
/proc/cpuinfo: bogomips	: 66.43
/proc/cpuinfo: timebase	: 33217333
/proc/cpuinfo: platform	: PowerMac
/proc/cpuinfo: model		: PowerMac3,5
/proc/cpuinfo: machine		: PowerMac3,5
/proc/cpuinfo: motherboard	: PowerMac3,5 MacRISC2 MacRISC Power Macintosh
/proc/cpuinfo: detected as	: 69 (PowerMac G4 Silver)
/proc/cpuinfo: pmac flags	: 00000010
/proc/cpuinfo: L2 cache	: 256K unified
/proc/cpuinfo: pmac-generation	: NewWorld
/proc/cpuinfo: Memory		: 1024 MB
/proc/ioports: 00000000-007fffff : /pci@f2000000
/proc/ioports:   00000400-0000047f : 0001:10:15.0
/proc/ioports:   00000480-0000048f : 0001:10:13.0
/proc/ioports:     00000480-0000048f : pata_sil680
/proc/ioports:   00000490-00000493 : 0001:10:13.0
/proc/ioports:     00000490-00000493 : pata_sil680
/proc/ioports:   000004a0-000004a7 : 0001:10:13.0
/proc/ioports:     000004a0-000004a7 : pata_sil680
/proc/ioports:   000004b0-000004b3 : 0001:10:13.0
/proc/ioports:     000004b0-000004b3 : pata_sil680
/proc/ioports:   000004c0-000004c7 : 0001:10:13.0
/proc/ioports:     000004c0-000004c7 : pata_sil680
/proc/ioports: 00802000-01001fff : /pci@f0000000
/proc/ioports:   00802400-008024ff : 0000:00:10.0
/proc/ioports: f28c0000-f28c007f : 0001:10:15.0
/proc/ioports: ff7fe000-ffffdfff : /pci@f4000000
/proc/ioports:   ff7fe000-ff7fefff : Legacy IO
/proc/iomem: 00000000-3fffffff : System RAM
/proc/iomem: 80000000-8fffffff : /pci@f2000000
/proc/iomem:   80000000-8007ffff : 0001:10:17.0
/proc/iomem:     80000000-8007ffff : 0.80000000:mac-io
/proc/iomem:       80000050-8000007f : 0.00000050:gpio
/proc/iomem:       80008000-800080ff : 0.00010000:i2s
/proc/iomem:       80008100-800081ff : 0.00010000:i2s
/proc/iomem:       80008200-800082ff : 0.00010000:i2s
/proc/iomem:       80008300-800083ff : 0.00010000:i2s
/proc/iomem:       80008a00-80008aff : 0.0001f000:ata-4
/proc/iomem:         80008a00-80008aff : pata-macio-dma
/proc/iomem:       80008b00-80008bff : 0.00020000:ata-3
/proc/iomem:         80008b00-80008bff : pata-macio-dma
/proc/iomem:       80008c00-80008cff : 0.00021000:ata-3
/proc/iomem:         80008c00-80008cff : pata-macio-dma
/proc/iomem:       80010000-80010fff : 0.00010000:i2s
/proc/iomem:       80013000-80013000 : 0.00013000:ch-b
/proc/iomem:         80013000-80013000 : pmac_zilog
/proc/iomem:       80013010-80013010 : 0.00013000:ch-b
/proc/iomem:         80013010-80013010 : pmac_zilog
/proc/iomem:       80013020-80013020 : 0.00013020:ch-a
/proc/iomem:         80013020-80013020 : pmac_zilog
/proc/iomem:       80013030-80013030 : 0.00013020:ch-a
/proc/iomem:         80013030-80013030 : pmac_zilog
/proc/iomem:       80013040-80013040 : 0.00013000:ch-b
/proc/iomem:         80013040-80013040 : pmac_zilog
/proc/iomem:       80013050-80013050 : 0.00013020:ch-a
/proc/iomem:         80013050-80013050 : pmac_zilog
/proc/iomem:       80015000-80015fff : 0.00015000:timer
/proc/iomem:       80016000-80017fff : 0.00016000:via-pmu
/proc/iomem:       80018000-80018fff : 0.00018000:i2c
/proc/iomem:       8001f000-8001ffff : 0.0001f000:ata-4
/proc/iomem:         8001f000-8001ffff : pata-macio
/proc/iomem:       80020000-80020fff : 0.00020000:ata-3
/proc/iomem:         80020000-80020fff : pata-macio
/proc/iomem:       80021000-80021fff : 0.00021000:ata-3
/proc/iomem:         80021000-80021fff : pata-macio
/proc/iomem:       80040000-8007ffff : 0.00040000:interrup
/proc/iomem:   80080000-8008007f : 0001:10:15.0
/proc/iomem:   80081000-800810ff : 0001:10:13.0
/proc/iomem:   80082000-80082fff : 0001:10:19.0
/proc/iomem:     80082000-80082fff : ohci_hcd
/proc/iomem:   80083000-80083fff : 0001:10:18.0
/proc/iomem:     80083000-80083fff : ohci_hcd
/proc/iomem:   800a0000-800bffff : 0001:10:15.0
/proc/iomem:   80100000-8017ffff : 0001:10:13.0
/proc/iomem: 90000000-9fffffff : /pci@f0000000
/proc/iomem:   90000000-9000ffff : 0000:00:10.0
/proc/iomem:     90000000-9000ffff : radeonfb mmio
/proc/iomem:   90020000-9003ffff : 0000:00:10.0
/proc/iomem:   98000000-9fffffff : 0000:00:10.0
/proc/iomem:     98000000-9fffffff : radeonfb framebuffer
/proc/iomem: f1000000-f1ffffff : /pci@f0000000
/proc/iomem: f3000000-f3ffffff : /pci@f2000000
/proc/iomem: f5000000-f5ffffff : /pci@f4000000
/proc/iomem:   f5000000-f5000fff : 0002:20:0e.0
/proc/iomem:     f5000000-f5000fff : firewire_ohci
/proc/iomem:   f5100000-f51fffff : 0002:20:0f.0
/proc/iomem:   f5200000-f53fffff : 0002:20:0f.0
/proc/iomem:     f5200000-f53fffff : sungem
/proc/interrupts:            CPU0       
/proc/interrupts:  19:     270144   MPIC 1    Level     pata-macio
/proc/interrupts:  20:      11565   MPIC 1    Level     pata-macio
/proc/interrupts:  21:          0   MPIC 1    Level     pata-macio
/proc/interrupts:  25:        121   MPIC 1    Level     VIA-PMU
/proc/interrupts:  26:          0   MPIC 1    Level     keywest i2c
/proc/interrupts:  27:      13600   MPIC 1    Level     ohci_hcd:usb1
/proc/interrupts:  28:        875   MPIC 1    Level     ohci_hcd:usb2
/proc/interrupts:  40:         71   MPIC 1    Level     firewire_ohci
/proc/interrupts:  41:     442902   MPIC 1    Level     eth1
/proc/interrupts:  42:          0   MPIC 1    Level     keywest i2c
/proc/interrupts:  47:          0   MPIC 1    Level     GPIO1 ADB
/proc/interrupts:  53:       2010   MPIC 1    Level     pata_sil680
/proc/interrupts:  55:          0   MPIC 1    Edge      NMI - XMON
/proc/interrupts: LOC:     521277   Local timer interrupts
/proc/interrupts: SPU:          0   Spurious interrupts
/proc/interrupts: CNT:          0   Performance monitoring interrupts
/proc/interrupts: MCE:          0   Machine check exceptions
/proc/meminfo: MemTotal:        1031196 kB
/proc/meminfo: MemFree:          119280 kB
/proc/meminfo: Buffers:          111928 kB
/proc/meminfo: Cached:           700728 kB
/proc/meminfo: SwapCached:          452 kB
/proc/meminfo: Active:           286876 kB
/proc/meminfo: Inactive:         505648 kB
/proc/meminfo: Active(anon):       2396 kB
/proc/meminfo: Inactive(anon):    18824 kB
/proc/meminfo: Active(file):     284480 kB
/proc/meminfo: Inactive(file):   486824 kB
/proc/meminfo: Unevictable:       41252 kB
/proc/meminfo: Mlocked:               0 kB
/proc/meminfo: HighTotal:        262144 kB
/proc/meminfo: HighFree:          20092 kB
/proc/meminfo: LowTotal:         769052 kB
/proc/meminfo: LowFree:           99188 kB
/proc/meminfo: SwapTotal:       9765620 kB
/proc/meminfo: SwapFree:        9764692 kB
/proc/meminfo: Dirty:              1132 kB
/proc/meminfo: Writeback:             0 kB
/proc/meminfo: AnonPages:         20804 kB
/proc/meminfo: Mapped:             2708 kB
/proc/meminfo: Shmem:               100 kB
/proc/meminfo: Slab:              63248 kB
/proc/meminfo: SReclaimable:      57716 kB
/proc/meminfo: SUnreclaim:         5532 kB
/proc/meminfo: KernelStack:         520 kB
/proc/meminfo: PageTables:          516 kB
/proc/meminfo: NFS_Unstable:          0 kB
/proc/meminfo: Bounce:                0 kB
/proc/meminfo: WritebackTmp:          0 kB
/proc/meminfo: CommitLimit:    10281216 kB
/proc/meminfo: Committed_AS:      27228 kB
/proc/meminfo: VmallocTotal:     211400 kB
/proc/meminfo: VmallocUsed:       31192 kB
/proc/meminfo: VmallocChunk:     163524 kB
/proc/bus/input/devices: I: Bus=0019 Vendor=0001 Product=0001 Version=0100
/proc/bus/input/devices: N: Name="PMU"
/proc/bus/input/devices: P: Phys=
/proc/bus/input/devices: S: Sysfs=/devices/virtual/input/input0
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=kbd 
/proc/bus/input/devices: B: PROP=0
/proc/bus/input/devices: B: EV=23
/proc/bus/input/devices: B: KEY=100000 0 0 0
/proc/bus/input/devices: B: SW=1
/proc/bus/input/devices: 
/proc/bus/input/devices: I: Bus=0003 Vendor=0461 Product=4d15 Version=0111
/proc/bus/input/devices: N: Name="USB Optical Mouse"
/proc/bus/input/devices: P: Phys=usb-0001:10:19.0-1.2.1/input0
/proc/bus/input/devices: S: Sysfs=/devices/pci0001:10/0001:10:19.0/usb2/2-1/2-1.2/2-1.2.1/2-1.2.1:1.0/input/input1
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=mouse0 
/proc/bus/input/devices: B: PROP=0
/proc/bus/input/devices: B: EV=17
/proc/bus/input/devices: B: KEY=70000 0 0 0 0 0 0 0 0
/proc/bus/input/devices: B: REL=103
/proc/bus/input/devices: B: MSC=10
/proc/bus/input/devices: 
/proc/bus/input/devices: I: Bus=0003 Vendor=05ac Product=020b Version=0110
/proc/bus/input/devices: N: Name="Mitsumi Electric Apple Extended USB Keyboard"
/proc/bus/input/devices: P: Phys=usb-0001:10:19.0-1.2.3/input0
/proc/bus/input/devices: S: Sysfs=/devices/pci0001:10/0001:10:19.0/usb2/2-1/2-1.2/2-1.2.3/2-1.2.3:1.0/input/input2
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=sysrq kbd 
/proc/bus/input/devices: B: PROP=0
/proc/bus/input/devices: B: EV=120013
/proc/bus/input/devices: B: KEY=10000 7 ff9f207a c14057ff febeffdf ffefffff ffffffff fffffffe
/proc/bus/input/devices: B: MSC=10
/proc/bus/input/devices: B: LED=1f
/proc/bus/input/devices: 
/proc/bus/input/devices: I: Bus=0003 Vendor=05ac Product=020b Version=0110
/proc/bus/input/devices: N: Name="Mitsumi Electric Apple Extended USB Keyboard"
/proc/bus/input/devices: P: Phys=usb-0001:10:19.0-1.2.3/input1
/proc/bus/input/devices: S: Sysfs=/devices/pci0001:10/0001:10:19.0/usb2/2-1/2-1.2/2-1.2.3/2-1.2.3:1.1/input/input3
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=kbd 
/proc/bus/input/devices: B: PROP=0
/proc/bus/input/devices: B: EV=13
/proc/bus/input/devices: B: KEY=2 c000 e0000 0 0 0
/proc/bus/input/devices: B: MSC=10
/proc/bus/input/devices: 

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: powerpc (ppc)

Kernel: Linux 3.2.0-3-powerpc
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash
[yaboot.conf (text/plain, attachment)]
[install-logs.tar.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#684265; Package installation-reports. (Sat, 18 Aug 2012 09:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rick Thomas <rbthomas@pobox.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sat, 18 Aug 2012 09:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 684265@bugs.debian.org (full text, mbox):

From: Rick Thomas <rbthomas@pobox.com>
To: 684265@bugs.debian.org
Cc: PowerPC List Debian <debian-powerpc@lists.debian.org>, Installer List Debian <debian-boot@lists.debian.org>
Subject: Still with us -- Re: Bug#684265: (installation-reports: yaboot.conf missing existing root partitions -- sources.list still has deb cdrom from installation)
Date: Sat, 18 Aug 2012 02:02:20 -0700
[Message part 1 (text/plain, inline)]
I just downloaded and burned the PowerPC Netinst CD and did an install  
with it.
Specifically,
    http://cdimage.debian.org/cdimage/daily-builds/sid_d-i/arch-latest/powerpc/iso-cd/debian-testing-powerpc-netinst.iso
    Daily build #3 for powerpc, using installer build from sid
    This build finished at Fri Aug 17 09:39:24 UTC 2012.

The first problem noted in bug#684265 is still there -- the installer  
still does not put the existing root partitions into the generated  
yaboot.conf.

When I installed os-prober and ran it on the installed system, it  
found and listed the existing root partitions, as expected.  So the  
problem is in the installer, not os-prober...

The other problem noted in bug#684265 -- The installer was not  
commenting out the "deb cdrom" line for the installer CD -- has  
apparently gone away.

Attached is a (hopefully) relevant extract from the installation  
syslog file.

Enjoy!

Rick

[syslog.extract (application/octet-stream, attachment)]
[Message part 3 (text/plain, inline)]



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#684265; Package installation-reports. (Thu, 30 Aug 2012 00:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rick Thomas <rbthomas@pobox.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Thu, 30 Aug 2012 00:09:03 GMT) Full text and rfc822 format available.

Message #15 received at 684265@bugs.debian.org (full text, mbox):

From: Rick Thomas <rbthomas@pobox.com>
To: PowerPC List Debian <debian-powerpc@lists.debian.org>, Installer List Debian <debian-boot@lists.debian.org>
Cc: 684265@bugs.debian.org
Subject: Re: Still with us -- Re: Bug#684265: (installation-reports: yaboot.conf missing existing root partitions -- sources.list still has deb cdrom from installation)
Date: Wed, 29 Aug 2012 17:05:49 -0700
On Aug 18, 2012, at 2:02 AM, Rick Thomas wrote:

> I just downloaded and burned the PowerPC Netinst CD and did an  
> install with it.
> Specifically,
>    http://cdimage.debian.org/cdimage/daily-builds/sid_d-i/arch-latest/powerpc/iso-cd/debian-testing-powerpc-netinst.iso
>    Daily build #3 for powerpc, using installer build from sid
>    This build finished at Fri Aug 17 09:39:24 UTC 2012.
>
> The first problem noted in bug#684265 is still there -- the  
> installer still does not put the existing root partitions into the  
> generated yaboot.conf.
>
> When I installed os-prober and ran it on the installed system, it  
> found and listed the existing root partitions, as expected.  So the  
> problem is in the installer, not os-prober...
>
> Attached is a (hopefully) relevant extract from the installation  
> syslog file.
>
> Enjoy!
>
> Rick
>
> <syslog.extract>


I'd love to see if I can figure out what's causing this and work up a  
patch, but I have no clue as to where to begin.

Can somebody please show me a pointer to the code in the installer  
where this is done?

Thanks!

Rick




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#684265; Package installation-reports. (Fri, 07 Sep 2012 06:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rick Thomas <rbthomas@pobox.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 07 Sep 2012 06:48:08 GMT) Full text and rfc822 format available.

Message #20 received at 684265@bugs.debian.org (full text, mbox):

From: Rick Thomas <rbthomas@pobox.com>
To: 686471@bugs.debian.org
Cc: Steve McIntyre <steve@einval.com>, 684265@bugs.debian.org
Subject: testing report [Re: Bug#686471: cdimage.debian.org: Please made DVD-1 image small enough to fit on a 4GB USB stick]
Date: Thu, 6 Sep 2012 23:36:31 -0700
On Sep 2, 2012, at 4:11 PM, Rick Thomas wrote:

>
> On Sep 2, 2012, at 3:39 PM, Steve McIntyre wrote:
>
>> tags 686471 pending
>> thanks
>>
>> On Sun, Sep 02, 2012 at 02:37:08PM -0700, Rick Thomas wrote:
>>>
>>> On Sep 2, 2012, at 1:31 AM, Steve McIntyre wrote:
>>>
>>>> I've not done anything like isohybrid for ppc at all; I've no  
>>>> idea if
>>>> it's even possible...
>>>
>>> It may not be strictly necessary.  See my recent email with subject
>>> "Detailed notes: How to boot and install Debian from a USB stick  
>>> on a
>>> PowerPC Mac" that I sent to the debian-powerpc list.  I have used  
>>> the
>>> "businesscard", "netinst", "CD-1" and "DVD-1" iso's successfully  
>>> with
>>> that procedure to install Debian wheezy on PowerPC Macintoshes from
>>> USB sticks.  For the DVD-1 I needed an 8GB stick, of course.
>>
>> Ah, OK. Lovely. :-)
>>
>> I'll tweak sizes now for you... Done. Tomorrow's weekly build will  
>> get
>> a 4GB DVD#1, and the same should filter through to wheezy d-i beta
>> 2. Please confirm if it works ok for you!
>>
>>> 4GB sticks are now selling for US$3.00 a piece.
>>
>> Oh, yes. :-)
>
> Thanks!  I'll give it a try on Tuesday if I can.  Enjoy!
>
> Rick

Hi Steve!

Well, it wasn't Tuesday. More like Thursday, but I did manage to get  
to it today.  Here's my report...

I downloaded both the amd64 and powerpc weekly DVD-1 iso's from  
9/3/2012 and copied each to a 4 GB USB flash thumb-drive, using "dd".   
Each booted as expected and ran the install process thru partitioning,  
telling it *not* to use a mirror (wanting to make sure the smaller  
DVD-1 installer wasn't missing anything important), then, finally,  
running task selection and finishing the installation.  I installed a  
standard desktop environment: gnome on the powerpc, and xfce on the  
amd64.

When it came time to write the boot-loader, they both showed symptoms  
of bug #684265 -- not able to find existing OS's and make entries for  
them in the bootloader config file.

Fortunately, the amd64 grub boot loader creation script did some self- 
checking, and noticed that there was only one OS in the setup it was  
about to write.  It asked me if I wanted to write a MBR that I'd only  
have to re-do later to pick up the other OS's (if any).  I decided to  
see if there were other options and answered "no".  It then asked if I  
wanted to write the boot block to the partition I was installing to.   
I said "yes" but that failed for some reason (I don't remember the  
error message, and I don't think it was helpful even if I could  
remember.)  So then I tried using lilo to a second USB stick.  That  
worked and booted fine.  If I booted without the USB stick, it booted  
to the previous default OS.  "Cool!" that there's a workaround, but  
"Uncool!" that it's so roundabout!  I'll be happy to supply the syslog  
file if you want to take a look.

The powerpc yaboot boot loader creation script isn't so intelligent.   
It didn't check, and therefor didn't recognize there was a problem, so  
it went blithely ahead and created a one-entry yaboot configuration,  
which I had to repair manually after rebooting.  Once again, I have  
the syslog file from this installation and I'll be happy to supply it  
if you want to take a look.

If you can point me at which package I should post a wishlist bug to,  
I'd love to have the yaboot bootloader creation script be as smart as  
the one for grub about "Hey! There's only one OS here."

With the above-described workarounds, all went well with the post- 
installation reboots.  The respective desktop environments seem  
complete and fully-functional.

Thanks!

Rick

PS:  Is anybody working on bug #684265?  It would be a shame if it got  
into beta2...



Changed Bug title to 'debian-installer: os-prober needs fuse module to detect other OS's' from 'installation-reports: yaboot.conf missing existing root partitions -- sources.list still has deb cdrom from installation' Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Tue, 11 Sep 2012 13:18:07 GMT) Full text and rfc822 format available.

Merged 684265 687286 Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Tue, 11 Sep 2012 13:18:08 GMT) Full text and rfc822 format available.

Bug reassigned from package 'installation-reports' to 'linux'. Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Tue, 11 Sep 2012 13:18:09 GMT) Full text and rfc822 format available.

Merged 684265 686631 687286 Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Tue, 11 Sep 2012 13:18:11 GMT) Full text and rfc822 format available.

Added indication that 684265 affects debian-installer and installation-reports Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Tue, 11 Sep 2012 13:18:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#684265; Package linux. (Tue, 11 Sep 2012 13:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Milan Kupcevic <milan@physics.harvard.edu>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 11 Sep 2012 13:27:10 GMT) Full text and rfc822 format available.

Message #35 received at 684265@bugs.debian.org (full text, mbox):

From: Milan Kupcevic <milan@physics.harvard.edu>
To: 684265@bugs.debian.org
Subject: linux: d-i, os-prober need fuse module to detect other OS's
Date: Tue, 11 Sep 2012 09:23:24 -0400
[Message part 1 (text/plain, inline)]
tags 684265 patch
thanks

Debian installer os-prober needs fuse module to look into various
partitions for already installed operating systems.

Patch is attached.

Milan
[fuse-modules-di.patch (text/x-patch, attachment)]
[smime.p7s (application/pkcs7-signature, attachment)]

Added tag(s) patch. Request was from Milan Kupcevic <milan@physics.harvard.edu> to control@bugs.debian.org. (Tue, 11 Sep 2012 13:27:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#684265; Package linux. (Wed, 12 Sep 2012 23:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rick Thomas <rbthomas@pobox.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 12 Sep 2012 23:24:04 GMT) Full text and rfc822 format available.

Message #42 received at 684265@bugs.debian.org (full text, mbox):

From: Rick Thomas <rbthomas@pobox.com>
To: Installer List Debian <debian-boot@lists.debian.org>
Cc: Cyril Brulebois <kibi@debian.org>, Christian Perrier <bubulle@debian.org>, 684265@bugs.debian.org
Subject: Re: Debian Installer 7.0 Beta2 release bug #684265
Date: Wed, 12 Sep 2012 16:21:29 -0700

On Sep 10, 2012, at 10:16 PM, Christian PERRIER wrote:

> Quoting Rick Thomas (rbthomas@pobox.com):
>
>> I'll be happy to provide installation log files to anyone who wants
>> them.
>>
>> I'd also be happy to look at the relevant code and see if I can
>> figure out what's wrong, but I don't know where to look.  I don't
>> have any experience with the insides of the installer.  If somebody
>> is willing to mentor me a little I might be able to help.
>
>
> It's likely to be in os-prober.

When I run os-prober on the installed system, I get exactly what I  
expect:

    /dev/mapper/monk-root:Debian GNU/Linux (6.0.5):Debian:linux
    /dev/mapper/monk-root2:Debian GNU/Linux (wheezy/sid):Debian1:linux

There are three root partitions monk-root, monk-root2, and monk- 
root3.  The last is the active root at the time os-prober was run, so  
I don't expect it to show.  It does find the other two, though.

The PowerPC system that shows the bug is not using LVM.  On that  
machine the extra Linux root partitions are real physical partitions.   
On that machine I also get the expected results from running os-prober  
in the installed system.

So if the problem is in os-prober, it's not in the part of os-prober  
that gets used in the installed system, it must be in the parts that  
are unique to the installation system.

I have not tried running os-prober from the <alt>-F2 console during  
the install, to see if it gives different results.  I'll do that and  
report back.  Any hints of things I should be looking out for?

Thanks!

Rick



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#684265; Package linux. (Thu, 13 Sep 2012 00:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rick Thomas <rbthomas@pobox.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 13 Sep 2012 00:09:03 GMT) Full text and rfc822 format available.

Message #47 received at 684265@bugs.debian.org (full text, mbox):

From: Rick Thomas <rbthomas@pobox.com>
To: Installer List Debian <debian-boot@lists.debian.org>
Cc: Cyril Brulebois <kibi@debian.org>, Christian Perrier <bubulle@debian.org>, 684265@bugs.debian.org
Subject: Re: Debian Installer 7.0 Beta2 release bug #684265
Date: Wed, 12 Sep 2012 17:06:00 -0700
[Message part 1 (text/plain, inline)]
On Sep 12, 2012, at 4:21 PM, Rick Thomas wrote:

> I have not tried running os-prober from the <alt>-F2 console during  
> the install, to see if it gives different results. I'll do that and  
> report back.  Any hints of things I should be looking out for?

Here's the stderr/stdout output when os-prober is run in the installer  
environment:

    umount: can't umount /var/lib/os-prober/mount: Invalid argument
    grub-probe: error: no such disk.
    grub-probe: error: no such disk.
    grub-probe: error: no such disk.


I've attached the installer syslog part from when I ran os-prober  
manually.

Hope this helps!


Rick

[os-prober-syslog.out (application/octet-stream, attachment)]
[Message part 3 (text/plain, inline)]



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#684265; Package linux. (Thu, 13 Sep 2012 05:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 13 Sep 2012 05:45:06 GMT) Full text and rfc822 format available.

Message #52 received at 684265@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Rick Thomas <rbthomas@pobox.com>
Cc: Installer List Debian <debian-boot@lists.debian.org>, Cyril Brulebois <kibi@debian.org>, 684265@bugs.debian.org
Subject: Re: Debian Installer 7.0 Beta2 release bug #684265
Date: Thu, 13 Sep 2012 07:41:59 +0200
[Message part 1 (text/plain, inline)]
Quoting Rick Thomas (rbthomas@pobox.com):
> 
> On Sep 12, 2012, at 4:21 PM, Rick Thomas wrote:
> 
> >I have not tried running os-prober from the <alt>-F2 console
> >during the install, to see if it gives different results. I'll do
> >that and report back.  Any hints of things I should be looking out
> >for?
> 
> Here's the stderr/stdout output when os-prober is run in the
> installer environment:
> 
>     umount: can't umount /var/lib/os-prober/mount: Invalid argument
>     grub-probe: error: no such disk.
>     grub-probe: error: no such disk.
>     grub-probe: error: no such disk.

Could be something like #686314. Can you try (in the installer) to do
the workaround found there (loading the fuse module)?

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#684265; Package linux. (Thu, 13 Sep 2012 06:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rick Thomas <rbthomas@pobox.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 13 Sep 2012 06:24:03 GMT) Full text and rfc822 format available.

Message #57 received at 684265@bugs.debian.org (full text, mbox):

From: Rick Thomas <rbthomas@pobox.com>
To: Christian Perrier <bubulle@debian.org>, Installer List Debian <debian-boot@lists.debian.org>
Cc: Cyril Brulebois <kibi@debian.org>, 684265@bugs.debian.org
Subject: Re: Debian Installer 7.0 Beta2 release bug #684265
Date: Wed, 12 Sep 2012 23:22:00 -0700
On Sep 12, 2012, at 10:41 PM, Christian PERRIER wrote:

> Quoting Rick Thomas (rbthomas@pobox.com):
>>
>> On Sep 12, 2012, at 4:21 PM, Rick Thomas wrote:
>>
>>> I have not tried running os-prober from the <alt>-F2 console
>>> during the install, to see if it gives different results. I'll do
>>> that and report back.  Any hints of things I should be looking out
>>> for?
>>
>> Here's the stderr/stdout output when os-prober is run in the
>> installer environment:
>>
>>    umount: can't umount /var/lib/os-prober/mount: Invalid argument
>>    grub-probe: error: no such disk.
>>    grub-probe: error: no such disk.
>>    grub-probe: error: no such disk.
>
> Could be something like #686314. Can you try (in the installer) to do
> the workaround found there (loading the fuse module)?

It certainly does sound like it!

I'll try the workaround and report back.

Thanks for caring!

Rick



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#684265; Package linux. (Thu, 13 Sep 2012 08:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rick Thomas <rbthomas@pobox.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 13 Sep 2012 08:18:03 GMT) Full text and rfc822 format available.

Message #62 received at 684265@bugs.debian.org (full text, mbox):

From: Rick Thomas <rbthomas@pobox.com>
To: Christian Perrier <bubulle@debian.org>, Installer List Debian <debian-boot@lists.debian.org>
Cc: Cyril Brulebois <kibi@debian.org>, 684265@bugs.debian.org
Subject: Re: Debian Installer 7.0 Beta2 release bug #684265
Date: Thu, 13 Sep 2012 01:15:13 -0700
[Message part 1 (text/plain, inline)]

On 09/12/12 23:22, Rick Thomas wrote:
>
> On Sep 12, 2012, at 10:41 PM, Christian PERRIER wrote:
>
>> Quoting Rick Thomas (rbthomas@pobox.com):
>>>
>>> On Sep 12, 2012, at 4:21 PM, Rick Thomas wrote:
>>>
>>>> I have not tried running os-prober from the <alt>-F2 console
>>>> during the install, to see if it gives different results. I'll do
>>>> that and report back. Any hints of things I should be looking out
>>>> for?
>>>
>>> Here's the stderr/stdout output when os-prober is run in the
>>> installer environment:
>>>
>>> umount: can't umount /var/lib/os-prober/mount: Invalid argument
>>> grub-probe: error: no such disk.
>>> grub-probe: error: no such disk.
>>> grub-probe: error: no such disk.
>>
>> Could be something like #686314. Can you try (in the installer) to do
>> the workaround found there (loading the fuse module)?
>
> I'll try the workaround and report back.

Sadly, that didn't solve the problem.

The "umount: can't umount..." error message went away, but the three 'no 
such disk' messages remained.  And grub install still objected because 
there was only one OS...

I've attached the relevant section of /var/log/installer/syslog

Hope it helps...

Thanks!

Rick
[os-prober.out (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#684265; Package linux. (Thu, 13 Sep 2012 08:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rick Thomas <rbthomas@pobox.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 13 Sep 2012 08:39:03 GMT) Full text and rfc822 format available.

Message #67 received at 684265@bugs.debian.org (full text, mbox):

From: Rick Thomas <rbthomas@pobox.com>
To: Christian Perrier <bubulle@debian.org>, Installer List Debian <debian-boot@lists.debian.org>
Cc: Cyril Brulebois <kibi@debian.org>, 684265@bugs.debian.org
Subject: Re: Debian Installer 7.0 Beta2 release bug #684265
Date: Thu, 13 Sep 2012 01:37:16 -0700

On 09/13/12 01:15, Rick Thomas wrote:

> The "umount: can't umount..." error message went away, but the three 'no
> such disk' messages remained. And grub install still objected because
> there was only one OS...
>
> I've attached the relevant section of /var/log/installer/syslog

It may be worth noting these error messages in syslog:

  Sep 13 07:15:49 os-prober: debug: running 
/usr/lib/os-probes/50mounted-tests on /dev/mapper/monk-root
  Sep 13 07:15:49 finish-install: grub-probe: error: no such disk.
  Sep 13 07:15:49 os-prober: debug: running 
/usr/lib/os-probes/50mounted-tests on /dev/mapper/monk-root2
  Sep 13 07:15:50 finish-install: grub-probe: error: no such disk.

It seems to be claiming that /dev/mapper/monk-root and 
/dev/mapper/monk-root2 don't exist.  Those are the two partitions that 
have the other Linux installed in them -- the two I would have expected 
os-prober to find.

Interestingly, it finds /dev/mapper/monk-home just fine.  One difference 
between the two "root" partitions and the "home" partition is that I 
told the partitioner to mount the "home" partition on /home, but I never 
mentioned the two "root" partitions at all in the partitioner.

I wonder if I gave them mount points and told the partitioner to mount 
them, would os-prober be able to find them?

Rick



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#684265; Package linux. (Thu, 13 Sep 2012 11:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rick Thomas <rbthomas@pobox.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 13 Sep 2012 11:06:03 GMT) Full text and rfc822 format available.

Message #72 received at 684265@bugs.debian.org (full text, mbox):

From: Rick Thomas <rbthomas@pobox.com>
To: Christian Perrier <bubulle@debian.org>, Installer List Debian <debian-boot@lists.debian.org>
Cc: Cyril Brulebois <kibi@debian.org>, 684265@bugs.debian.org
Subject: Re: Debian Installer 7.0 Beta2 release bug #684265 -- partial success
Date: Thu, 13 Sep 2012 04:04:33 -0700

On 09/13/12 01:15, Rick Thomas wrote:
>
>
> On 09/12/12 23:22, Rick Thomas wrote:
>>
>> On Sep 12, 2012, at 10:41 PM, Christian PERRIER wrote:
>>
>>> Quoting Rick Thomas (rbthomas@pobox.com):
>>>>
>>>> On Sep 12, 2012, at 4:21 PM, Rick Thomas wrote:
>>>>
>>>>> I have not tried running os-prober from the <alt>-F2 console
>>>>> during the install, to see if it gives different results. I'll do
>>>>> that and report back. Any hints of things I should be looking out
>>>>> for?
>>>>
>>>> Here's the stderr/stdout output when os-prober is run in the
>>>> installer environment:
>>>>
>>>> umount: can't umount /var/lib/os-prober/mount: Invalid argument
>>>> grub-probe: error: no such disk.
>>>> grub-probe: error: no such disk.
>>>> grub-probe: error: no such disk.
>>>
>>> Could be something like #686314. Can you try (in the installer) to do
>>> the workaround found there (loading the fuse module)?
>>
>> I'll try the workaround and report back.
>
> Sadly, that didn't solve the problem.

On the amd64 (with LVM) the fuse workaround wasn't enough...

*But*... when I tried it on the PowerPC (Mac G4) machine, where all the 
relevant partitions are real partitions, no LVM stuff involved, the 
workaround (insmod ... fuse.ko) *did* fix the problem.

I wonder if there's another module that's missing on the LVM machine?

Hope this helps!
Rick



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#684265; Package linux. (Thu, 13 Sep 2012 12:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Milan Kupcevic <milan@physics.harvard.edu>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 13 Sep 2012 12:51:10 GMT) Full text and rfc822 format available.

Message #77 received at 684265@bugs.debian.org (full text, mbox):

From: Milan Kupcevic <milan@physics.harvard.edu>
To: Christian PERRIER <bubulle@debian.org>, 684265@bugs.debian.org
Cc: Rick Thomas <rbthomas@pobox.com>, Installer List Debian <debian-boot@lists.debian.org>, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#684265: Debian Installer 7.0 Beta2 release bug #684265
Date: Thu, 13 Sep 2012 08:49:01 -0400
[Message part 1 (text/plain, inline)]
On 09/13/2012 01:41 AM, Christian PERRIER wrote:
> Quoting Rick Thomas (rbthomas@pobox.com):
>>
>> On Sep 12, 2012, at 4:21 PM, Rick Thomas wrote:
>>
>>> I have not tried running os-prober from the <alt>-F2 console
>>> during the install, to see if it gives different results. I'll do
>>> that and report back.  Any hints of things I should be looking out
>>> for?
>>
>> Here's the stderr/stdout output when os-prober is run in the
>> installer environment:
>>
>>     umount: can't umount /var/lib/os-prober/mount: Invalid argument
>>     grub-probe: error: no such disk.
>>     grub-probe: error: no such disk.
>>     grub-probe: error: no such disk.
> 
> Could be something like #686314. Can you try (in the installer) to do
> the workaround found there (loading the fuse module)?
> 

Definitely, os-prober needs fuse module to work properly. D-i is trying
to load the fuse module but it is not available in the d-i environment.

Here is d-i log extract:

Sep 11 02:15:31 anna-install: Installing ufs-modules
Sep 11 02:15:31 anna-install: Installing btrfs-modules
Sep 11 02:15:31 anna-install: Installing fuse-modules
Sep 11 02:15:31 os-prober: unknown udeb fuse-modules

When I load the fuse module manually os-prober works fine.

Therefore solution for bug reports 684265, 686314, 686631, 687286 is to
create fuse-modules udeb package. Patch is available here:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=684265#35

Other problems related to listing other OS's in grub menu, that may or
may not be related to os-prober, are described in bug reports 587397,
603107, 608025, 608219, 609251.

If you see similar problems related to LVM please file a separate bug
report.

Milan


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#684265; Package linux. (Thu, 13 Sep 2012 15:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 13 Sep 2012 15:15:07 GMT) Full text and rfc822 format available.

Message #82 received at 684265@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Rick Thomas <rbthomas@pobox.com>
Cc: 686471-done@bugs.debian.org, 684265@bugs.debian.org
Subject: Re: testing report [Re: Bug#686471: cdimage.debian.org: Please made DVD-1 image small enough to fit on a 4GB USB stick]
Date: Thu, 13 Sep 2012 16:10:57 +0100
On Thu, Sep 06, 2012 at 11:36:31PM -0700, Rick Thomas wrote:
>
>Well, it wasn't Tuesday. More like Thursday, but I did manage to get
>to it today.  Here's my report...
>
>I downloaded both the amd64 and powerpc weekly DVD-1 iso's from
>9/3/2012 and copied each to a 4 GB USB flash thumb-drive, using "dd".
>Each booted as expected and ran the install process thru
>partitioning, telling it *not* to use a mirror (wanting to make sure
>the smaller DVD-1 installer wasn't missing anything important), then,
>finally, running task selection and finishing the installation.  I
>installed a standard desktop environment: gnome on the powerpc, and
>xfce on the amd64.
>
>When it came time to write the boot-loader, they both showed symptoms
>of bug #684265 -- not able to find existing OS's and make entries for
>them in the bootloader config file.
>
>Fortunately, the amd64 grub boot loader creation script did some
>self-checking, and noticed that there was only one OS in the setup it
>was about to write.  It asked me if I wanted to write a MBR that I'd
>only have to re-do later to pick up the other OS's (if any).  I
>decided to see if there were other options and answered "no".  It
>then asked if I wanted to write the boot block to the partition I was
>installing to.  I said "yes" but that failed for some reason (I don't
>remember the error message, and I don't think it was helpful even if
>I could remember.)  So then I tried using lilo to a second USB stick.
>That worked and booted fine.  If I booted without the USB stick, it
>booted to the previous default OS.  "Cool!" that there's a
>workaround, but "Uncool!" that it's so roundabout!  I'll be happy to
>supply the syslog file if you want to take a look.
>
>The powerpc yaboot boot loader creation script isn't so intelligent.
>It didn't check, and therefor didn't recognize there was a problem,
>so it went blithely ahead and created a one-entry yaboot
>configuration, which I had to repair manually after rebooting.  Once
>again, I have the syslog file from this installation and I'll be
>happy to supply it if you want to take a look.
>
>If you can point me at which package I should post a wishlist bug to,
>I'd love to have the yaboot bootloader creation script be as smart as
>the one for grub about "Hey! There's only one OS here."
>
>With the above-described workarounds, all went well with the post-
>installation reboots.  The respective desktop environments seem
>complete and fully-functional.

Cool, thanks for checking that. I'm closing #686471 now. :-)

>PS:  Is anybody working on bug #684265?  It would be a shame if it
>got into beta2...

Yes, it would...

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"Since phone messaging became popular, the young generation has lost the
 ability to read or write anything that is longer than one hundred and sixty
 characters."  -- Ignatios Souvatzis




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#684265; Package linux. (Thu, 13 Sep 2012 22:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rick Thomas <rbthomas@pobox.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 13 Sep 2012 22:00:06 GMT) Full text and rfc822 format available.

Message #87 received at 684265@bugs.debian.org (full text, mbox):

From: Rick Thomas <rbthomas@pobox.com>
To: 684265@bugs.debian.org, Installer List Debian <debian-boot@lists.debian.org>
Cc: Christian Perrier <bubulle@debian.org>, Cyril Brulebois <kibi@debian.org>, Milan Kupcevic <milan@physics.harvard.edu>
Subject: Re: Bug#684265: Debian Installer 7.0 Beta2 release bug #684265
Date: Thu, 13 Sep 2012 14:58:27 -0700
On Sep 13, 2012, at 5:49 AM, Milan Kupcevic wrote:

> When I load the fuse module manually os-prober works fine.
>
> Therefore solution for bug reports 684265, 686314, 686631, 687286 is  
> to
> create fuse-modules udeb package. Patch is available here:
>
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=684265#35
>
> Other problems related to listing other OS's in grub menu, that may or
> may not be related to os-prober, are described in bug reports 587397,
> 603107, 608025, 608219, 609251.
>
> If you see similar problems related to LVM please file a separate bug
> report.
>
> Milan

We seem to have solved about a third of the problems uncovered in  
investigating this bug:


1) It seems likely that adding a udeb for fuse-modules will allow os- 
prober to identify other Linux OS root partitions and get them added  
to the boot-loader config file... But only as long as those partitions  
are not LVM partitions.

I have not performed definitive experiments to verify either half of  
this assertion, but the evidence so far does point in that direction.   
When can I expect the "udeb for fuse" fix to be included in an  
upcoming daily iso?  I'll be happy to test it when it's available.

2) We have not yet identified the ingredient that makes the boot- 
loader installer unable to handle Linux OS root on LVM partitions  
correctly.  I'm willing to pursue the issue thru to its conclusion, if  
someone who knows the installer internals better will guide me.

3) It would be nice if all boot-loader installers were as vigilant as  
the current grub installer.  The grub installer warns the user if it  
finds only one OS partition (the one it's installing for) and asks if  
she wants to go ahead with a process that may have to be re-done after  
the install completes, due to having missed other OS roots.

From my own personal perspective, the one particular boot-loader  
installer I would like this "extra vigilant" feature for is the  
powerpc yaboot installer.  I would file a wishlist bugreport on this  
issue if I only knew which package to file it against.  Can anyone  
suggest a good candidate?


Thanks!

Rick



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#684265; Package linux. (Sun, 16 Sep 2012 03:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 16 Sep 2012 03:39:03 GMT) Full text and rfc822 format available.

Message #92 received at 684265@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Rick Thomas <rbthomas@pobox.com>, 684265@bugs.debian.org
Cc: Installer List Debian <debian-boot@lists.debian.org>, Christian Perrier <bubulle@debian.org>, Cyril Brulebois <kibi@debian.org>, Milan Kupcevic <milan@physics.harvard.edu>
Subject: Re: Bug#684265: Debian Installer 7.0 Beta2 release bug #684265
Date: Sun, 16 Sep 2012 04:36:39 +0100
[Message part 1 (text/plain, inline)]
On Thu, 2012-09-13 at 14:58 -0700, Rick Thomas wrote:
[...]
> 1) It seems likely that adding a udeb for fuse-modules will allow os- 
> prober to identify other Linux OS root partitions and get them added  
> to the boot-loader config file... But only as long as those partitions  
> are not LVM partitions.
> 
> I have not performed definitive experiments to verify either half of  
> this assertion, but the evidence so far does point in that direction.   
> When can I expect the "udeb for fuse" fix to be included in an  
> upcoming daily iso?  I'll be happy to test it when it's available.
[...]

Will be included in the next linux upload to unstable, hopefully this
weekend.  I don't know how long that will take to get into a daily
installer.

Ben.

-- 
Ben Hutchings
Experience is what causes a person to make new mistakes instead of old ones.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#684265; Package linux. (Sun, 16 Sep 2012 08:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rick Thomas <rbthomas@pobox.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 16 Sep 2012 08:45:03 GMT) Full text and rfc822 format available.

Message #97 received at 684265@bugs.debian.org (full text, mbox):

From: Rick Thomas <rbthomas@pobox.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 684265@bugs.debian.org, Installer List Debian <debian-boot@lists.debian.org>, Christian Perrier <bubulle@debian.org>, Cyril Brulebois <kibi@debian.org>, Milan Kupcevic <milan@physics.harvard.edu>
Subject: Re: Bug#684265: Debian Installer 7.0 Beta2 release bug #684265
Date: Sun, 16 Sep 2012 01:41:40 -0700
On Sep 15, 2012, at 8:36 PM, Ben Hutchings wrote:

> On Thu, 2012-09-13 at 14:58 -0700, Rick Thomas wrote:
> [...]
>> 1) It seems likely that adding a udeb for fuse-modules will allow os-
>> prober to identify other Linux OS root partitions and get them added
>> to the boot-loader config file... But only as long as those  
>> partitions
>> are not LVM partitions.
>>
>> I have not performed definitive experiments to verify either half of
>> this assertion, but the evidence so far does point in that direction.
>> When can I expect the "udeb for fuse" fix to be included in an
>> upcoming daily iso?  I'll be happy to test it when it's available.
> [...]
>
> Will be included in the next linux upload to unstable, hopefully this
> weekend.  I don't know how long that will take to get into a daily
> installer.

Thanks, Ben!  I'll be on the lookout for it.  Please let me know if  
you see it appear before I do.

Rick



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#684265; Package linux. (Tue, 18 Sep 2012 23:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <chealer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 18 Sep 2012 23:51:05 GMT) Full text and rfc822 format available.

Message #102 received at 684265@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <chealer@gmail.com>
To: 684265@bugs.debian.org, 650819@bugs.debian.org, Debian Bug Control <control@bugs.debian.org>
Cc: 686314@bugs.debian.org
Subject: Worked around
Date: Tue, 18 Sep 2012 19:49:20 -0400
severity 650819 normal
close 684265 3.2.29-1
forcemerge 650819 686314
thanks

This is no longer RC. A workaround has finally been applied, namely the 
first one, adding fuse. It will take some time before the fix makes it 
to install media. Note that I did not verify that the current symptom is 
gone and am closing its report assuming that fuse was properly added to 
installer images.

We should still apply one of solutions 3 or 4, but this is no longer urgent.



Bug reassigned from package 'linux' to 'src:linux'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 23 Sep 2012 09:21:05 GMT) Full text and rfc822 format available.

Marked as found in versions linux/3.2.23-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 23 Sep 2012 09:21:07 GMT) Full text and rfc822 format available.

Message #107 received at 686631-done@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 686631-done@bugs.debian.org
Subject: Re: Please add the fuse module to d-i kernel packages
Date: Sun, 23 Sep 2012 02:20:10 -0700
Version: 3.2.29-1
reassign 686631 src:linux 3.2.23-1
quit

Hi,

Christian PERRIER wrote:

> clone 686314 -1
> reassign -1 linux
> retitle -1 Please add the fuse module to d-i kernel packages

Done, thanks.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#684265; Package src:linux. (Mon, 24 Sep 2012 09:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rick Thomas <rbthomas@pobox.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 24 Sep 2012 09:06:03 GMT) Full text and rfc822 format available.

Message #112 received at 684265@bugs.debian.org (full text, mbox):

From: Rick Thomas <rbthomas@pobox.com>
To: Rick Thomas <rbthomas@pobox.com>
Cc: 684265@bugs.debian.org, Installer List Debian <debian-boot@lists.debian.org>, Christian Perrier <bubulle@debian.org>, Cyril Brulebois <kibi@debian.org>, Milan Kupcevic <milan@physics.harvard.edu>
Subject: Re: Bug#684265: Still with us
Date: Mon, 24 Sep 2012 02:04:09 -0700
[Message part 1 (text/plain, inline)]
On Sep 13, 2012, at 2:58 PM, Rick Thomas wrote:

>
>
> 1) It seems likely that adding a udeb for fuse-modules will allow os- 
> prober to identify other Linux OS root partitions and get them added  
> to the boot-loader config file... But only as long as those  
> partitions are not LVM partitions.
>
> I have not performed definitive experiments to verify either half of  
> this assertion, but the evidence so far does point in that  
> direction.  When can I expect the "udeb for fuse" fix to be included  
> in an upcoming daily iso?  I'll be happy to test it when it's  
> available.
>

I tried a test installation with the following:

Debian GNU/Linux testing "Wheezy" - Official Snapshot amd64 NETINST
     Binary-1 20120923-03:20

which seems to have the necessary module:

$ find /mnt -name '*fuse*' -print
/mnt/pool/main/f/fuse
/mnt/pool/main/f/fuse/fuse-udeb_2.9.1-1_amd64.udeb
/mnt/pool/main/f/fuse/libfuse2_2.9.0-2_amd64.deb
/mnt/pool/main/f/fuse/libfuse2-udeb_2.9.1-1_amd64.udeb
/mnt/pool/main/l/linux/fuse-modules-3.2.0-4-amd64-di_3.2.29-1_amd64.udeb


However, it still doesn't find the other OS partitions...

They are located in /dev/mapper/monk-root2 and /dev/mapper/monk- 
root3.  The partition being installed to is in /dev/mapper/monk-root.

I'm attaching the (gzipped) installer logs.

Rick


[installer.tar.gz (application/x-gzip, attachment)]
[Message part 3 (text/plain, inline)]



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#684265; Package src:linux. (Mon, 24 Sep 2012 13:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Milan Kupcevic <milan@physics.harvard.edu>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 24 Sep 2012 13:30:03 GMT) Full text and rfc822 format available.

Message #117 received at 684265@bugs.debian.org (full text, mbox):

From: Milan Kupcevic <milan@physics.harvard.edu>
To: Rick Thomas <rbthomas@pobox.com>, 684265@bugs.debian.org
Cc: Installer List Debian <debian-boot@lists.debian.org>, Christian Perrier <bubulle@debian.org>, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#684265: Still with us
Date: Mon, 24 Sep 2012 09:26:49 -0400
[Message part 1 (text/plain, inline)]
On 09/24/2012 05:04 AM, Rick Thomas wrote:
> 
> On Sep 13, 2012, at 2:58 PM, Rick Thomas wrote:
> 
>>
>>
>> 1) It seems likely that adding a udeb for fuse-modules will allow
>> os-prober to identify other Linux OS root partitions and get them
>> added to the boot-loader config file... But only as long as those
>> partitions are not LVM partitions.
>>
>> I have not performed definitive experiments to verify either half of
>> this assertion, but the evidence so far does point in that direction. 
>> When can I expect the "udeb for fuse" fix to be included in an
>> upcoming daily iso?  I'll be happy to test it when it's available.
>>
> 
> I tried a test installation with the following:
> 
> Debian GNU/Linux testing "Wheezy" - Official Snapshot amd64 NETINST
>      Binary-1 20120923-03:20
> 
> which seems to have the necessary module:
> 
> $ find /mnt -name '*fuse*' -print
> /mnt/pool/main/f/fuse
> /mnt/pool/main/f/fuse/fuse-udeb_2.9.1-1_amd64.udeb
> /mnt/pool/main/f/fuse/libfuse2_2.9.0-2_amd64.deb
> /mnt/pool/main/f/fuse/libfuse2-udeb_2.9.1-1_amd64.udeb
> /mnt/pool/main/l/linux/fuse-modules-3.2.0-4-amd64-di_3.2.29-1_amd64.udeb
> 
> 
> However, it still doesn't find the other OS partitions...
> 
> They are located in /dev/mapper/monk-root2 and /dev/mapper/monk-root3. 
> The partition being installed to is in /dev/mapper/monk-root.
> 
> I'm attaching the (gzipped) installer logs.
> 
> Rick
> 

Please file a separate debian-installer bug report for problems related
to finding other OS's on LVM partitions.

Milan


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#684265; Package src:linux. (Tue, 25 Sep 2012 00:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rick Thomas <rbthomas@pobox.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 25 Sep 2012 00:51:03 GMT) Full text and rfc822 format available.

Message #122 received at 684265@bugs.debian.org (full text, mbox):

From: Rick Thomas <rbthomas@pobox.com>
To: Milan Kupcevic <milan@physics.harvard.edu>
Cc: 684265@bugs.debian.org, Installer List Debian <debian-boot@lists.debian.org>, Christian Perrier <bubulle@debian.org>, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#684265: Still with us
Date: Mon, 24 Sep 2012 17:46:20 -0700
On Sep 24, 2012, at 6:26 AM, Milan Kupcevic wrote:

>
> Please file a separate debian-installer bug report for problems  
> related
> to finding other OS's on LVM partitions.
>
> Milan

Well... I tried it on a machine that was not using LVM, and got the  
same results.

So the bug isn't fixed yet.

Rick



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#684265; Package src:linux. (Mon, 15 Oct 2012 06:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rick Thomas <rbthomas@pobox.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 15 Oct 2012 06:57:03 GMT) Full text and rfc822 format available.

Message #127 received at 684265@bugs.debian.org (full text, mbox):

From: Rick Thomas <rbthomas@pobox.com>
To: Milan Kupcevic <milan@physics.harvard.edu>
Cc: 684265@bugs.debian.org, Installer List Debian <debian-boot@lists.debian.org>, Christian Perrier <bubulle@debian.org>, Cyril Brulebois <kibi@debian.org>, 690515@bugs.debian.org
Subject: Re: Bug#684265: Still with us
Date: Sun, 14 Oct 2012 23:55:36 -0700
On Sep 24, 2012, at 6:26 AM, Milan Kupcevic wrote:

> Please file a separate debian-installer bug report for problems  
> related
> to finding other OS's on LVM partitions.
>
> Milan

OK, here it is: Bug#690515

I hope it's an easy fix.  It would be a shame to see it get into  
beta3...

Rick



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#684265; Package src:linux. (Mon, 05 Nov 2012 00:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rick Thomas <rbthomas@pobox.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 05 Nov 2012 00:21:03 GMT) Full text and rfc822 format available.

Message #132 received at 684265@bugs.debian.org (full text, mbox):

From: Rick Thomas <rbthomas@pobox.com>
To: 690515@bugs.debian.org
Cc: Milan Kupcevic <milan@physics.harvard.edu>, 684265@bugs.debian.org, Installer List Debian <debian-boot@lists.debian.org>, Christian Perrier <bubulle@debian.org>, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#690515: Still with us -- still in Beta3
Date: Sun, 4 Nov 2012 16:16:47 -0800
On Oct 14, 2012, at 11:55 PM, Rick Thomas wrote:

>
> On Sep 24, 2012, at 6:26 AM, Milan Kupcevic wrote:
>
>> Please file a separate debian-installer bug report for problems  
>> related
>> to finding other OS's on LVM partitions.
>>
>> Milan
>
> OK, here it is: Bug#690515
>
> I hope it's an easy fix.  It would be a shame to see it get into  
> beta3...
>
> Rick


Well... The bug made it into Beta3.  [)-:]

I just tested it with the Beta3 AMD64 DVD-1 (no repository servers --  
to make sure I got just Beta3 and not the latest updates.)

On my machine with three Debian root LVM partitions, it only found one  
(the one I was installing to).

After finishing installing and rebooting into the installed system,  
"update-grub" does find the other partitions and it does the right  
thing.

I'm happy to help by testing anything you suggest.  That's what I keep  
this machine for.

If you think it's a missing module, as it was with 684265, please  
point me to the module, and I'll test it.

Thanks!

Rick



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Dec 2012 07:26:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:52:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.